No VMFS upgrade is required if you are upgrading from ESX 3.x/ESXi 3.5 with VMFS3 datastores.

Read-only VMFS2 support is deprecated in vSphere 4.0 and might be removed in future vSphere releases.